---
search:
  tags:
    - Purchase Order Imports
    - POST
seo:
  description: >-
    Submit an exact… Reference for the POST
    /v1/organizations/{orgId}/purchase-order-imports/{importId}/submissions
    endpoint in the Stashtab Vault Warehouse API.
sidebar:
  label: Submit an exact reviewed purchase-order group set
  badge: POST
title: Submit an exact reviewed purchase-order group set
type: openapi-operation
---
`POST /v1/organizations/{orgId}/purchase-order-imports/{importId}/submissions`

**Request body** (`application/json`, required)

- `groups` (object[], required)
- `source` (object, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "groups": [
    {
      "groupId": "string",
      "revision": "string"
    }
  ],
  "source": {
    "contentBase64": "string",
    "encoding": "utf-8",
    "format": "csv"
  },
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "groups": [
      {
        "groupId": "string",
        "poNumber": "string",
        "purchaseOrderId": "string",
        "providerPoRef": "string",
        "revision": "string",
        "sourceRows": [
          1
        ]
      }
    ],
    "importId": "string",
    "sourceHash": "string"
  },
  "meta": {
    "requestId": "string"
  }
}
```
